#ifndef DECALWIN_H
#define DECALWIN_H


#include "RMWin.h"

class DecalWin : public RMWin
{
public:
	DecalWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(DecalWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
};


#endif
